<?php
$ruta = "../";
require_once "../class/c_login.php";


if (!isset($_SESSION['user']))
    die(json_encode(['error' => 'No se ha iniciado sesión']));
$user = unserialize($_SESSION['user']);
$ruta = "../include/bd_pdo.php";
global $pdo;


$idmateria = $_POST['idmateria'];  

$sql = "SELECT  ca.clave_carrera,ca.carrera_id, ca.carrera_nombre, f.facultad_id, n.nivel_id, n.nivel_nombre
        FROM carrera ca
        JOIN facultad f ON f.facultad_id = ca.facultad_id
        JOIN nivel n ON n.nivel_id = ca.nivel_id
        WHERE ca.carrera_id = :idmateria";  

$params = [':idmateria' => $idmateria];
$result = query($sql, $params, true);
echo json_encode($result);
